Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.pkcs11impl.provider
Class DESPKCS11KeyParameterSpec

    java.lang.Object
      com.ibm.crypto.pkcs11impl.provider.DESPKCS11KeyParameterSpec

All Implemented Interfaces:
  PKCS11SecretKeyParameterSpec, java.security.spec.AlgorithmParameterSpec

Deprecated. Use GeneralPKCS11KeyParameterSpec instead.

    public class DESPKCS11KeyParameterSpec

extends java.lang.Object
implements PKCS11SecretKeyParameterSpec

This class specifies a PKCS11 DES key generation specification

Constructor Summary
`DESPKCS11KeyParameterSpec(java.lang.String keyIdentifier, java.lang.String label)` Deprecated.
`DESPKCS11KeyParameterSpec(java.lang.String keyIdentifier, java.lang.String label, java.lang.Boolean isToken, java.lang.Boolean isSensitive, java.lang.Boolean encryption, java.lang.Boolean wrapping, java.lang.Boolean extractable)` Deprecated.

Method Summary
`java.lang.Boolean` | `getEncrypt()` Deprecated.
`java.lang.Boolean` | `getExtractable()` Deprecated.
`java.lang.String` | `getKeyID()` Deprecated.
`java.lang.Integer` | `getKeyType()` Deprecated.
`java.lang.String` | `getLabel()` Deprecated.
`java.lang.Boolean` | `getSensitive()` Deprecated.
`java.lang.Boolean` | `getToken()` Deprecated.
`java.lang.Boolean` | `getWrap()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DESPKCS11KeyParameterSpec

    public DESPKCS11KeyParameterSpec(java.lang.String keyIdentifier,
                                     java.lang.String label,
                                     java.lang.Boolean isToken,
                                     java.lang.Boolean isSensitive,
                                     java.lang.Boolean encryption,
                                     java.lang.Boolean wrapping,
                                     java.lang.Boolean extractable)

  Deprecated.

  DESPKCS11KeyParameterSpec This method describes the attributes of the key.

  Parameters:
    `keyIdentifier` - the data that identifies this key from another key.
    `label` - to describe the key.
    `isToken` - is set to True if the key is to be a token object
    `isSensitive` - is set to True if the key is sensitive.
    `encryption` - is set to True if the key can be used for encrypting and decrypting data
    `wrapping` - is set to True if the key can be used to wrap/unwrap other keys.
    `extractable` - is set to True to allow the key to be wrapped with another key.

### DESPKCS11KeyParameterSpec

    public DESPKCS11KeyParameterSpec(java.lang.String keyIdentifier,
                                     java.lang.String label)

  Deprecated.

  DESPKCS11KeyParameterSpec This defaults the key to be able to do signature functions, encrypt/decrypt functions and allows the keys to be used for wrapping functions. Also, the key will not be sensitive and it can be wrapped by another key and the keys are not to be saved on the token.

  Parameters:
    `keyIdentifier` - the data that identifies this key from another key.
    `label` - that describes the key.

Method Detail

### getKeyType

    public java.lang.Integer getKeyType()

  Deprecated.

  Returns the key type

  Specified by:
    `getKeyType` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    the key type

### getKeyID

    public java.lang.String getKeyID()

  Deprecated.

  Returns the associated key identifier.

  Specified by:
    `getKeyID` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    the key identifier

### getLabel

    public java.lang.String getLabel()

  Deprecated.

  Returns the subject for the key.

  Specified by:
    `getLabel` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    the subject

### getToken

    public java.lang.Boolean getToken()

  Deprecated.

  Returns the if the the key are session or token key.

  Specified by:
    `getToken` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if key is saved on token, null if not specified.

### getSensitive

    public java.lang.Boolean getSensitive()

  Deprecated.

  Returns if the key is to be sensitive.

  Specified by:
    `getSensitive` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key is to sensitive, null if not specified.

### getEncrypt

    public java.lang.Boolean getEncrypt()

  Deprecated.

  Returns if the key can be used for encryption/decryption operations.

  Specified by:
    `getEncrypt` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key can do encryption/decryption operations, null if not specified.

### getWrap

    public java.lang.Boolean getWrap()

  Deprecated.

  Returns if the key can be used for wrapping operations.

  Specified by:
    `getWrap` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key can do wrapping operations, null if not specified.

### getExtractable

    public java.lang.Boolean getExtractable()

  Deprecated.

  Returns if the key can be wrapped by another key.

  Specified by:
    `getExtractable` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key can be wrapped by another key, null if not specified.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD